## ibus-qt 1.2.0.20090728

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)


# ======
# Project information
project(ibus-qt)
set(AUTHORS "Peng Huang")
set(MAINTAINER "Peng Huang <shawn.p.huang at gmail dot com>")
set(VERSION_MAJOR "1")
set(VERSION_MINOR "2")
set(VERSION_PATCH "0")
set(VERSION_SNAPDATE "20090728")

# ======
# Requires
# check qt
find_package(Qt4 COMPONENTS QtCore QtGui QtDBus REQUIRED)
include(${QT_USE_FILE})
# check dbus
find_package(PkgConfig REQUIRED)
pkg_check_modules(DBUS REQUIRED dbus-1)

# =====
# Define variables
if(NOT DEFINED LIBDIR)
    if( $ENV{MACHTYPE} MATCHES "64")
        set(LIBDIR lib64)
    else()
        set(LIBDIR lib)
    endif()
endif(NOT DEFINED LIBDIR)

# ======
# CPack configure
set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
if(NOT DEFINED VERSION_SNAPDATE)
    set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})
else(NOT DEFINED VERSION_SNAPDATE)
    set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH}.${VERSION_SNAPDATE})
endif(NOT DEFINED  VERSION_SNAPDATE)
set(CPACK_SET_DESTDIR "ON")
set(CPACK_INSTALL_PREFIX "/usr")
set(CPACK_GENERATOR "TGZ")
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_CURRENT_SOURCE_DIR}/COPYING)
set(CPACK_SOURCE_IGNORE_FILES
    "/\\\\.git/"
    "\\\\.gitignore$"
    "/CMakeFiles/"
    "/_CPack_Packages/"
    "\\\\.cmake$"
    "CMakeCache.txt$"
    "install_manifest.txt$"
    "Makefile$"
    "Source\\\\.tar\\\\.gz$"
    "Linux\\\\.tar\\\\.gz$"
    "moc_.*\\\\.cxx$"
    "\\\\.so$"
    "ibus-test$"
    "/rpm/"
    "ibus-qt\\\\.spec$"
)
include(CPack)
configure_file(ibus-qt.spec.in ibus-qt.spec)

# ======
# sub dirs
add_subdirectory(src)
add_subdirectory(qtim)

# ======
# targets
add_custom_target(version echo ${CPACK_PACKAGE_VERSION})
add_custom_target(gitclean git clean -f -d -X)
add_custom_target(rpm
    COMMAND make package_source
    COMMAND rpmbuild -bb
    --define "_sourcedir ${CMAKE_CURRENT_SOURCE_DIR}"
    --define "_builddir ${CMAKE_CURRENT_SOURCE_DIR}/rpm"
    --define "_srcrpmdir ${CMAKE_CURRENT_SOURCE_DIR}/rpm"
    --define "_rpmdir ${CMAKE_CURRENT_SOURCE_DIR}/rpm"
    --define "_specdir ${CMAKE_CURRENT_SOURCE_DIR}/rpm"
    ibus-qt.spec
    )
add_custom_target(srpm
    COMMAND make package_source
    COMMAND rpmbuild -bs
    --define "_sourcedir ${CMAKE_CURRENT_SOURCE_DIR}"
    --define "_builddir ${CMAKE_CURRENT_SOURCE_DIR}/rpm"
    --define "_srcrpmdir ${CMAKE_CURRENT_SOURCE_DIR}/rpm"
    --define "_rpmdir ${CMAKE_CURRENT_SOURCE_DIR}/rpm"
    --define "_specdir ${CMAKE_CURRENT_SOURCE_DIR}/rpm"
    ibus-qt.spec
    )

=== qtim/CMakeLists.txt ===
include_directories(
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${DBUS_INCLUDE_DIRS}
    ${CMAKE_CURRENT_SOURCE_DIR}/../src
)

link_directories(
    ${DBUS_LIBRARY_DIRS}
)

set(
    qtim_ibus_SRCS
    ibus-input-context.cpp
)

set(
    qtim_ibus_MOC_HDRS
    ibus-input-context.h
)

QT4_AUTOMOC(${qtim_ibus_SRCS})
QT4_WRAP_CPP(
    qtim_ibus_MOC_SRCS
    ${qtim_ibus_MOC_HDRS}
)

add_library(
    qtim-ibus MODULE
    ibus-plugin.cpp
    ${qtim_ibus_SRCS}
    ${qtim_ibus_MOC_SRCS}
)

target_link_libraries(
    qtim-ibus
    debug ${QT_QTGUI_LIBRARY_DEBUG}
    optimized ${QT_QTGUI_LIBRARY_RELEASE}
    ibus-qt
)

install(
    TARGETS qtim-ibus
    LIBRARY DESTINATION
    ${QT_PLUGINS_DIR}/inputmethods)

=== src/CMakeLists.txt ===
include_directories(
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${DBUS_INCLUDE_DIRS}
)

link_directories(
    ${DBUS_LIBRARY_DIRS}
)

set(
    ibus_qt_SRCS
    qibusobject.cpp
    qibusserializable.cpp
    qibusattribute.cpp
    qibusattrlist.cpp
    qibusproperty.cpp
    qibusproplist.cpp
    qibustext.cpp
    qibuslookuptable.cpp
    qibusenginedesc.cpp
    qibuscomponent.cpp
    qibusibusproxy.cpp
    qibusdbusproxy.cpp
    qibusinputcontextproxy.cpp
    qibusbus.cpp
    qibusinputcontext.cpp
)

set(
    ibus_qt_MOC_HDRS
    qibusobject.h
    qibusserializable.h
    qibusattribute.h
    qibusattrlist.h
    qibusproperty.h
    qibusproplist.h
    qibustext.h
    qibuslookuptable.h
    qibusenginedesc.h
    qibuscomponent.h
    qibusibusproxy.h
    qibusdbusproxy.h
    qibusinputcontextproxy.h
    qibusbus.h
    qibusinputcontext.h
)

# QT4_ADD_DBUS_INTERFACE(
#     ibus_qt_SRCS
#     ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.freedesktop.IBus.xml
#     basename
# )
# 
# QT4_AUTOMOC(${ibus_qt_SRCS})
QT4_WRAP_CPP(
    ibus_qt_MOC_SRCS
    ${ibus_qt_MOC_HDRS}
)

add_library(
    ibus-qt
    SHARED
    ${ibus_qt_SRCS}
    ${ibus_qt_MOC_SRCS}
)

target_link_libraries(
    ibus-qt
    debug ${QT_QTCORE_LIBRARY_DEBUG}
    debug ${QT_QTDBUS_LIBRARY_DEBUG}
    optimized ${QT_QTCORE_LIBRARY_RELEASE}
    optimized ${QT_QTDBUS_LIBRARY_RELEASE}
    ${DBUS_LIBRARIES}
)

install(TARGETS ibus-qt
    LIBRARY DESTINATION ${LIBDIR})

# add_executable(
#     ibus-test
#     ibus.cpp
# )

# target_link_libraries(
#     ibus-test
#     ibus-qt
# )

# install(TARGETS ibus-test
#     RUNTIME DESTINATION bin)

## ibus-qt 1.2.0.20091217

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

# ======
# Project information
project(ibus-qt)
set(AUTHORS "Peng Huang")
set(MAINTAINER "Peng Huang <shawn.p.huang at gmail dot com>")
set(VERSION_MAJOR "1")
set(VERSION_MINOR "2")
set(VERSION_PATCH "0")
set(VERSION_SNAPDATE "20091217")
set(LIB_VERSION "1.2.0")
set(LIB_SOVERSION "1")

# ======
# CPack configure
set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
if(NOT DEFINED VERSION_SNAPDATE)
    set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})
else(NOT DEFINED VERSION_SNAPDATE)
    set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH}.${VERSION_SNAPDATE})
endif(NOT DEFINED  VERSION_SNAPDATE)
set(CPACK_SET_DESTDIR "ON")
set(CPACK_INSTALL_PREFIX "/usr")
set(CPACK_GENERATOR "TGZ")
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_CURRENT_SOURCE_DIR}/COPYING)
set(CPACK_SOURCE_IGNORE_FILES
    "/\\\\.git/"
    "\\\\.gitignore$"
    "/CMakeFiles/"
    "/_CPack_Packages/"
    "cmake_install.cmake"
    "CMakeCache.txt$"
    "install_manifest.txt$"
    "Makefile$"
    "Source\\\\.tar\\\\.gz$"
    "Linux\\\\.tar\\\\.gz$"
    "moc_.*\\\\.cxx$"
    "\\\\.so$"
    "\\\\.so\\\\.*"
    "ibus-test$"
    "/rpm/"
    "ibus-qt\\\\.spec$"
    "CPackSourceConfig\\\\.cmake$"
    "CPackConfig\\\\.cmake$"
    "docs/Doxyfile$"
    "docs/man"
    "docs/html"
    "build/"
)
include(CPack)

configure_file(ibus-qt.spec.in ibus-qt.spec)
configure_file(docs/Doxyfile.in docs/Doxyfile)

# ======
# Requires
# check X11
find_package(X11 REQUIRED)

# check qt
find_package(Qt4 4.5 COMPONENTS QtCore QtGui QtDBus REQUIRED)
include(${QT_USE_FILE})

# check dbus
find_package(PkgConfig REQUIRED)
find_package(ICU REQUIRED)
pkg_check_modules(DBUS REQUIRED dbus-1)
# pkg_check_modules(IBUS REQUIRED ibus-1.0>=1.2.0)

# check doxygen
find_package(Doxygen REQUIRED)

# =====
# Define variables
if(NOT DEFINED LIBDIR)
    if( $ENV{MACHTYPE} MATCHES "64")
        set(LIBDIR lib64)
    else()
        set(LIBDIR lib)
    endif()
endif(NOT DEFINED LIBDIR)

if(NOT DEFINED DOCDIR)
    set(DOCDIR "share/doc/ibus-qt-${CPACK_PACKAGE_VERSION}")
endif(NOT DEFINED DOCDIR)

if(NOT DEFINED MANDIR)
    set(MANDIR "share/man")
endif(NOT DEFINED MANDIR)

# =====
# install
set(MAIN_DOCS
    AUTHORS
    README
    INSTALL)
install(FILES ${MAIN_DOCS}
    DESTINATION ${DOCDIR})



# ======
# sub dirs
add_subdirectory(src)
add_subdirectory(qtim)
add_subdirectory(test)
add_subdirectory(docs)

# ======
# targets
add_custom_target(version echo ${CPACK_PACKAGE_VERSION})
add_custom_target(gitclean git clean -f -d -X)
add_custom_target(rpm
    COMMAND make package_source
    COMMAND rpmbuild -bb
        --define "_sourcedir ${CMAKE_CURRENT_BINARY_DIR}"
        --define "_builddir ${CMAKE_CURRENT_BINARY_DIR}/rpm"
        --define "_srcrpmdir ${CMAKE_CURRENT_BINARY_DIR}/rpm"
        --define "_rpmdir ${CMAKE_CURRENT_BINARY_DIR}/rpm"
        --define "_specdir ${CMAKE_CURRENT_BINARY_DIR}/rpm"
        ibus-qt.spec
    SOURCES ibus-qt.spec
    )
add_custom_target(srpm
    COMMAND make package_source
    COMMAND rpmbuild -bs
        --define "_sourcedir ${CMAKE_CURRENT_BINARY_DIR}"
        --define "_builddir ${CMAKE_CURRENT_BINARY_DIR}/rpm"
        --define "_srcrpmdir ${CMAKE_CURRENT_BINARY_DIR}/rpm"
        --define "_rpmdir ${CMAKE_CURRENT_BINARY_DIR}/rpm"
        --define "_specdir ${CMAKE_CURRENT_BINARY_DIR}/rpm"
        ibus-qt.spec
    SOURCES ibus-qt.spec
    )

## ibus-qt 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,21 +10,22 @@
 set(AUTHORS "Peng Huang")
 set(MAINTAINER "Peng Huang <shawn.p.huang at gmail dot com>")
 set(VERSION_MAJOR "1")
-set(VERSION_MINOR "2")
+set(VERSION_MINOR "3")
 set(VERSION_PATCH "0")
-set(VERSION_SNAPDATE "20091217")
-set(LIB_VERSION "1.2.0")
+set(VERSION_SNAPDATE "")
+set(LIB_VERSION "1.3.0")
 set(LIB_SOVERSION "1")
 
 # ======
 # CPack configure
 set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
 set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
-if(NOT DEFINED VERSION_SNAPDATE)
+if((NOT DEFINED VERSION_SNAPDATE) OR (VERSION_SNAPDATE STREQUAL ""))
     set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})
-else(NOT DEFINED VERSION_SNAPDATE)
+else((NOT DEFINED VERSION_SNAPDATE) OR (VERSION_SNAPDATE STREQUAL ""))
     set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH}.${VERSION_SNAPDATE})
-endif(NOT DEFINED  VERSION_SNAPDATE)
+endif((NOT DEFINED VERSION_SNAPDATE) OR (VERSION_SNAPDATE STREQUAL ""))
+
 set(CPACK_SET_DESTDIR "ON")
 set(CPACK_INSTALL_PREFIX "/usr")
 set(CPACK_GENERATOR "TGZ")

=== debian/changelog ===
ibus-qt (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: bump standards version to 3.8.4.
  * debian/source/format: 3.0.
  * Fix "FTBFS with binutils-gold" (Closes: #554862)
    - debian/patches/binutils-gold: added.

 -- LI Daobing <lidaobing@debian.org>  Sat, 10 Apr 2010 16:25:47 +0800

ibus-qt (1.2.0.20091217-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - build depends on doxygen.
  * debian/clean: updated
  * debian/rules: update clean section.

 -- LI Daobing <lidaobing@debian.org>  Thu, 17 Dec 2009 20:37:40 +0800

ibus-qt (1.2.0.20091206-1) unstable; urgency=low

  * New upstream release.

 -- LI Daobing <lidaobing@debian.org>  Thu, 10 Dec 2009 19:28:40 +0800

ibus-qt (1.2.0.20091014-1) unstable; urgency=low

  * new upstream release.
  * debian/rules: updated. 

 -- LI Daobing <lidaobing@debian.org>  Wed, 14 Oct 2009 18:48:52 +0800

ibus-qt (1.2.0.20090822-2) unstable; urgency=low

  * split ibus-qt to libibus-qt, libibus-qt-dev, ibus-qt4 

 -- Asias He <asias.hejun@gmail.com>  Fri, 28 Aug 2009 16:21:31 +0800

ibus-qt (1.2.0.20090822-1) unstable; urgency=low

  * new upstream release.
    - Fix "Composite key stops working" (Closes: #541784)
  * debian/control: 
    - bump standards version to 3.8.3. 
    - add libicu-dev, libibus-dev to build-depends.
    - change version of debhelper from 7.0.50 to 7 
  * debian/rules:
    - use debhelper 7.

 -- LI Daobing <lidaobing@debian.org>  Mon, 24 Aug 2009 22:30:28 +0800

ibus-qt (1.2.0.20090728-1) unstable; urgency=low

  * Initial release (Closes: #539022)

 -- LI Daobing <lidaobing@debian.org>  Tue, 28 Jul 2009 22:32:34 +0800

## ibus-qt 1.3.0-0maemo1

=== debian/changelog ===
ibus-qt (1.3.0-0maemo1) unstable; urgency=low

  * Initial release 

 -- Takahiro Hashimoto <kenya888@gmail.com>  Mon, 31 May 2010 02:40:34 +0900

=== debian/control ===
Source: ibus-qt
Section: utilities
Priority: optional
Maintainer: Takahiro Hashimoto <kenya888@gmail.com>
Build-Depends: debhelper (>= 5), ibus-dev, cmake, libqt4-dev, libx11-dev, libxext-dev, libxrandr-dev, libicu-dev, libpng12-dev, libxau-dev, libxrender-dev, libice-dev, libsm-dev, libexpat1-dev, libdbus-1-dev
Standards-Version: 3.7.2

Package: ibus-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus, libqt4-core, libqt4-xml, libqt4-dbus, libqt4-gui, libicu42, libpng12-0
Description: ibus Qt plugin

#Package: ibus-qt-doc
#Architecture: all
#Description: Documentation for ibus-qt

## ibus-qt 1.3.0-0maemo2

=== debian/changelog ===
ibus-qt (1.3.0-0maemo2) unstable; urgency=low

  * fix ibus-qt.install file

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue, 1 Jun 2010 11:52:00 +0900

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export CMAKE=/usr/bin/cmake

CFLAGS = -Wall -g

export MAEMOCJK_PREFIX=/opt/maemocjk2

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	$(CMAKE) . -DCMAKE_INSTALL_PREFIX=$(MAEMOCJK_PREFIX)/usr

	touch configure-stamp

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 

	# Add here commands to compile the arch part of the package.

	$(CMAKE) . -DCMAKE_INSTALL_PREFIX=$(MAEMOCJK_PREFIX)/usr
	$(MAKE) 
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean 

	rm -rf build

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

	dh_install --sourcedir=$(CURDIR)/debian/tmp -s

	# ln -s $(CURDIR)/debian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib/libibus-qt.so.1.3.0 $(CURDIR)/debian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib/libibus-qt.so.1
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	LD_LIBRARY_PATH=$(CURDIR)/debian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib:/opt/maemocjk2/usr/lib:/usr/lib dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## ibus-qt 1.3.0-0maemo3

=== debian/changelog ===
ibus-qt (1.3.0-0maemo3) unstable; urgency=low

  * fix rule file and control file to be shown by App.mgr

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue, 1 Jun 2010 11:52:00 +0900

=== debian/rules ===
--- 
+++ 
@@ -89,10 +89,9 @@
 	# Add here commands to install the arch part of the package into 
 	# debian/tmp.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
+	#ln -s $(CURDIR)/debian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib/libibus-qt.so.1.3.0 $(CURDIR)/debian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib/libibus-qt.so.1
 
 	dh_install --sourcedir=$(CURDIR)/debian/tmp -s
-
-	# ln -s $(CURDIR)/debian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib/libibus-qt.so.1.3.0 $(CURDIR)/debian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib/libibus-qt.so.1
 # Must not depend on anything. This is to be called by
 # binary-arch/binary-indep
 # in another 'make' thread.
@@ -120,7 +119,8 @@
 #	dh_perl
 	dh_makeshlibs
 	dh_installdeb
-	LD_LIBRARY_PATH=$(CURDIR)/debian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib:/opt/maemocjk2/usr/lib:/usr/lib dh_shlibdeps
+#	dh_shlibdeps -a -ldebian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib -Llibibus-qt -ldebian/ibus-qt/usr/lib/qt4/plugins/inputmethods -Llibqtim-ibus
+	LD_LIBRARY_PATH=$(MAEMOCJK_PREFIX)/usr/lib dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## ibus-qt 1.3.0-1maemo1

=== debian/changelog ===
ibus-qt (1.3.0-1maemo1) unstable; urgency=low

  * change install path and apply maemo-optify

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue, 1 Jun 2010 11:52:00 +0900

## ibus-qt 1.3.0-1maemo2

=== debian/changelog ===
ibus-qt (1.3.0-1maemo2) unstable; urgency=low

  * just version bumped for auto builder test.

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue, 4 Jun 2010 17:16:00 +0900

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Standards-Version: 3.7.2
 
 Package: ibus-qt
+Section: user/utilities
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus, libqt4-core, libqt4-xml, libqt4-dbus, libqt4-gui, libicu42, libpng12-0
 Description: ibus Qt plugin

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 CFLAGS = -Wall -g
 
-export MAEMOCJK_PREFIX=/opt/maemocjk2
+#export MAEMOCJK_PREFIX=/opt/maemocjk2
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -33,7 +33,7 @@
 	dh_testdir
 	# Add here commands to configure the package.
 
-	$(CMAKE) . -DCMAKE_INSTALL_PREFIX=$(MAEMOCJK_PREFIX)/usr
+	$(CMAKE) . -DCMAKE_INSTALL_PREFIX=/usr
 
 	touch configure-stamp
 
@@ -45,7 +45,7 @@
 
 	# Add here commands to compile the arch part of the package.
 
-	$(CMAKE) . -DCMAKE_INSTALL_PREFIX=$(MAEMOCJK_PREFIX)/usr
+	$(CMAKE) . -DCMAKE_INSTALL_PREFIX=/usr
 	$(MAKE) 
 	touch $@
 
@@ -96,11 +96,45 @@
 # binary-arch/binary-indep
 # in another 'make' thread.
 binary-common:
+# Build architecture independant packages using the common target.
+binary-indep: 
+#binary-indep: build-indep install-indep
+	#$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
+#	dh_testdir
+#	dh_testroot
+#	dh_installchangelogs 
+#	dh_installdocs
+#	dh_installexamples
+#	dh_installmenu
+#	dh_installdebconf	
+#	dh_installlogrotate	
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_python
+#	dh_installinit
+#	dh_installcron
+#	dh_installinfo
+#	dh_installman
+#	dh_link
+#	dh_strip
+#	dh_compress 
+#	dh_fixperms
+#	dh_perl
+#	dh_makeshlibs
+#	dh_installdeb
+#	dh_shlibdeps
+#	dh_gencontrol
+#	dh_md5sums
+#	dh_builddeb
+# Build architecture dependant packages using the common target.
+binary-arch: build-arch install-arch
+	#$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
-	dh_installdocs
-	dh_installexamples
+	#dh_installdocs
+	#dh_installexamples
 #	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate	
@@ -119,18 +153,11 @@
 #	dh_perl
 	dh_makeshlibs
 	dh_installdeb
-#	dh_shlibdeps -a -ldebian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib -Llibibus-qt -ldebian/ibus-qt/usr/lib/qt4/plugins/inputmethods -Llibqtim-ibus
-	LD_LIBRARY_PATH=$(MAEMOCJK_PREFIX)/usr/lib dh_shlibdeps
+	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb
-# Build architecture independant packages using the common target.
-binary-indep: build-indep install-indep
-	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
-
-# Build architecture dependant packages using the common target.
-binary-arch: build-arch install-arch
-	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
 
 binary: binary-arch binary-indep
 .PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## ibus-qt 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 set(MAINTAINER "Peng Huang <shawn.p.huang at gmail dot com>")
 set(VERSION_MAJOR "1")
 set(VERSION_MINOR "3")
-set(VERSION_PATCH "0")
+set(VERSION_PATCH "1")
 set(VERSION_SNAPDATE "")
 set(LIB_VERSION "1.3.0")
 set(LIB_SOVERSION "1")
@@ -20,11 +20,11 @@
 # CPack configure
 set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
 set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
-if((NOT DEFINED VERSION_SNAPDATE) OR (VERSION_SNAPDATE STREQUAL ""))
+if(NOT VERSION_SNAPDATE)
     set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})
-else((NOT DEFINED VERSION_SNAPDATE) OR (VERSION_SNAPDATE STREQUAL ""))
+else(NOT VERSION_SNAPDATE)
     set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH}.${VERSION_SNAPDATE})
-endif((NOT DEFINED VERSION_SNAPDATE) OR (VERSION_SNAPDATE STREQUAL ""))
+endif(NOT VERSION_SNAPDATE)
 
 set(CPACK_SET_DESTDIR "ON")
 set(CPACK_INSTALL_PREFIX "/usr")
@@ -67,35 +67,35 @@
 find_package(X11 REQUIRED)
 
 # check qt
-find_package(Qt4 4.5 COMPONENTS QtCore QtGui QtDBus REQUIRED)
+find_package(Qt4 4.5 COMPONENTS QtCore QtGui QtDBus QtXml REQUIRED)
 include(${QT_USE_FILE})
 
 # check dbus
 find_package(PkgConfig REQUIRED)
 find_package(ICU REQUIRED)
 pkg_check_modules(DBUS REQUIRED dbus-1)
-# pkg_check_modules(IBUS REQUIRED ibus-1.0>=1.2.0)
+pkg_check_modules(IBUS REQUIRED ibus-1.0>=1.3.7)
 
 # check doxygen
 find_package(Doxygen REQUIRED)
 
 # =====
 # Define variables
-if(NOT DEFINED LIBDIR)
+if(NOT LIBDIR)
     if( $ENV{MACHTYPE} MATCHES "64")
         set(LIBDIR lib64)
     else()
         set(LIBDIR lib)
     endif()
-endif(NOT DEFINED LIBDIR)
+endif(NOT LIBDIR)
 
-if(NOT DEFINED DOCDIR)
+if(NOT DOCDIR)
     set(DOCDIR "share/doc/ibus-qt-${CPACK_PACKAGE_VERSION}")
-endif(NOT DEFINED DOCDIR)
+endif(NOT DOCDIR)
 
-if(NOT DEFINED MANDIR)
+if(NOT MANDIR)
     set(MANDIR "share/man")
-endif(NOT DEFINED MANDIR)
+endif(NOT MANDIR)
 
 # =====
 # install

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,10 +25,19 @@
     qibusinputcontextproxy.cpp
     qibusbus.cpp
     qibusinputcontext.cpp
+    qibusobservedpath.cpp
+    qibusengineadaptor.cpp
+    qibusengine.cpp
+    qibusfactoryadaptor.cpp
+    qibusenginefactory.cpp
+    qibusconfigadaptor.cpp
+    qibusconfigproxy.cpp
+    qibusconfigservice.cpp
+    qibusconfig.cpp
 )
 
 set(
-    ibus_qt_MOC_HDRS
+    ibus_qt_HDRS
     qibusobject.h
     qibusserializable.h
     qibusattribute.h
@@ -44,6 +53,15 @@
     qibusinputcontextproxy.h
     qibusbus.h
     qibusinputcontext.h
+    qibusobservedpath.h
+    qibusengineadaptor.h
+    qibusengine.h
+    qibusfactoryadaptor.h
+    qibusenginefactory.h
+    qibusconfigadaptor.h
+    qibusconfigproxy.h
+    qibusconfigservice.h
+    qibusconfig.h
 )
 
 # QT4_ADD_DBUS_INTERFACE(
@@ -55,7 +73,7 @@
 # QT4_AUTOMOC(${ibus_qt_SRCS})
 QT4_WRAP_CPP(
     ibus_qt_MOC_SRCS
-    ${ibus_qt_MOC_HDRS}
+    ${ibus_qt_HDRS}
 )
 
 add_library(
@@ -65,27 +83,37 @@
     ${ibus_qt_MOC_SRCS}
 )
 
+set_target_properties(
+    ibus-qt PROPERTIES
+    VERSION ${LIB_VERSION}
+    SOVERSION ${LIB_SOVERSION}
+)
+
 target_link_libraries(
     ibus-qt
     debug ${QT_QTCORE_LIBRARY_DEBUG}
     debug ${QT_QTDBUS_LIBRARY_DEBUG}
+    debug ${QT_QTXML_LIBRARY_DEBUG}
     optimized ${QT_QTCORE_LIBRARY_RELEASE}
     optimized ${QT_QTDBUS_LIBRARY_RELEASE}
+    optimized ${QT_QTXML_LIBRARY_RELEASE}
     ${DBUS_LIBRARIES}
 )
 
 install(TARGETS ibus-qt
     LIBRARY DESTINATION ${LIBDIR})
+install(FILES ${ibus_qt_HDRS}
+    DESTINATION include/ibus-qt COMPONENT Devel)
 
-# add_executable(
-#     ibus-test
-#     ibus.cpp
-# )
+add_executable(
+    ibus-test
+    ibus.cpp
+)
 
-# target_link_libraries(
-#     ibus-test
-#     ibus-qt
-# )
+target_link_libraries(
+    ibus-test
+    ibus-qt
+)
 
 # install(TARGETS ibus-test
 #     RUNTIME DESTINATION bin)

=== debian/changelog ===
ibus-qt (1.3.1-1ubuntu1) natty; urgency=low

  * Set -DCMAKE_CXX_FLAGS="-DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT"
    to stop annoying debug output for every application

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Feb 2011 13:51:10 +0000

ibus-qt (1.3.1-1build1) natty; urgency=low

  * No-change rebuild against current libicu44.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 12 Dec 2010 20:51:24 +0100

ibus-qt (1.3.1-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.
  * debian/control:
    - set maintainer to pkg-ime, add LI Daobing <lidaobing@debian.org> 
      & Asias He <asias.hejun@gmail.com> to uploaders.
    - update Vcs-* fields.
    - bump standards version to 3.9.1.
  * removed debian/patches/binutils-gold.
  * debian/watch: moved to googlecode.debian.net 

  [ LI Daobing ]
  * debian/watch: updated. 

 -- LI Daobing <lidaobing@debian.org>  Sat, 21 Aug 2010 22:42:36 +0800

=== debian/control ===
Source: ibus-qt
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: LI Daobing <lidaobing@debian.org>, Asias He <asias.hejun@gmail.com>
Build-Depends: debhelper (>= 7), cmake, pkg-config, libqt4-dev,
 libdbus-1-dev, libx11-dev, libicu-dev, libibus-dev, doxygen
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/ibus
Vcs-Bzr: lp:~pkg-ime/ibus/debian-ibus-qt
Vcs-Browser: https://code.launchpad.net/~pkg-ime/ibus/debian-ibus-qt

Package: ibus-qt4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: qt-immodule for ibus (QT4)
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 ibus-qt4 is the QT4 client of ibus, it provide a qt-immodule for ibus.

Package: libibus-qt1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: qt-immodule for ibus (QT4)
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 libibus-qt1 is the library of ibus-qt.

Package: libibus-qt-dev
Section: libdevel
Architecture: any
Depends: libibus-qt1 (= ${binary:Version}), libqt4-dev, libibus-dev, libdbus-1-dev, ${shlibs:Depends}, ${misc:Depends}
Description: qt-immodule for ibus (QT4)
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 This package contains the header files which is needed for 
 developing the ibus-qt applications.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-stamp
build-stamp: 
	dh_testdir
	cmake -DCMAKE_SKIP_RPATH=ON -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_INSTALL_PREFIX="/usr" -DCMAKE_CXX_FLAGS="-DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT" .
	dh_auto_configure
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_auto_clean
	dh_clean
	rm -f build-stamp 
	[ ! -f Makefile ] || make clean || true
	rm -rf CMakeFiles/ src/CMakeFiles/ qtim/CMakeFiles/ test/CMakeFiles docs/CMakeFiles
	rm -f Makefile test/Makefile test/cmake_install.cmake
	rm -rf obj-*-linux-gnu

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	dh_install --list-missing --fail-missing

binary-indep: install

# Build architecture independant packages using the common target.
binary-arch: install
	dh_testdir -s
	dh_testroot -s
	dh_installchangelogs -s
	dh_installdocs -s
	dh_installman -s
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -Nibus-qt4 -s 
	dh_installdeb -s
	dh_shlibdeps -s 
	dh_gencontrol -s 
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install	\
	install-indep install-arch

=== debian/watch ===
version=3
http://googlecode.debian.net/p/ibus/ibus-qt-(\d+.*)-Source\.tar\.gz
